/* elfdump.h - Include file for ELF Dump. Introduced as part of the project
 * when branching to 0.2.
 * Written by Owen Klan  -  October 2002 */

#include "elf.h"

extern unsigned char byte_order;

extern char *sym_name_table;
extern char *name_table;

/* external functions */
extern char *get_seg_type(Elf32_Phdr *header);
extern void display_sections(Elf32_Ehdr *header, char *image);
extern void display_segments(Elf32_Ehdr *header, char *image);
extern void display_symbols(Elf32_Ehdr *header, char *image);
extern void display_files(Elf32_Ehdr *header, char *image);
extern void display_exports(Elf32_Ehdr *header, char *image);
extern void display_depends(Elf32_Ehdr *header, char *image);

extern void sections_report(Elf32_Ehdr *header, char *image);
extern void segments_report(Elf32_Ehdr *header, char *image);
extern void symbols_report(Elf32_Ehdr *header, char *image);
extern void functions_report(Elf32_Ehdr *header, char *image);
extern void dynamic_report(Elf32_Ehdr *header, char *image);

/* Function prototypes for byte ordering */
extern Elf32_Word eword_swap(Elf32_Word word);
extern Elf32_Half ehalf_swap(Elf32_Half half);
